<dx-data-grid class="gridContainer box-shadow" #gridArchive [columnAutoWidth]='true' [allowColumnResizing]='true'
    [allowColumnReordering]='true' [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
    [hoverStateEnabled]="true" [dataSource]='dsArchive' (onToolbarPreparing)='toolbarPreparing($event)' [height]='ui.fullHeight'>
    <dxo-export [enabled]='true' [enabled]='true' fileName='archive'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-group-panel [visible]='true'></dxo-group-panel>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
    <dxo-search-panel [visible]='true'></dxo-search-panel>
    <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseArchive"></dxo-state-storing>
    <dxo-filter-row [visible]='true'></dxo-filter-row>
    <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
    <dxo-master-detail [enabled]='true' template='details'></dxo-master-detail>

    <dxi-column [caption]='ds.lg.format("REPORT TYPE")' dataField='typeId' dataType='string' [allowHeaderFiltering]='false'>
        <!-- <dxo-lookup [dataSource]='dsReportType' valueExpr='id' displayExpr='value'></dxo-lookup> -->
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("ENTITY")' dataField='partyId' dataType='string' [allowHeaderFiltering]='false'>
        <dxo-lookup [dataSource]='pWithActiv' valueExpr='id' displayExpr='name'></dxo-lookup>
    </dxi-column>
    <dxi-column [caption]='ds.lg.format("DATE")' dataField='date' dataType='date' width='170' calculateSortValue='date'
        [calculateCellValue]='ds.getDate'></dxi-column>
    <dxi-column [caption]='ds.lg.format("DESCRIPTION")' dataField='comments' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <!-- <dxi-column type="buttons" fixedPosition='left' width='70' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false'> -->
        <!-- <dxi-button hint='Editează' icon="edit" [onClick]="onEditArchiveClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteArchiveClick"></dxi-button>  -->
    <!-- </dxi-column> -->

    <div *dxTemplate='let data of "details"'>
        <app-file-upload [gridData]='data'></app-file-upload>
    </div>

</dx-data-grid>

<dx-popup [(visible)]='isArchivePopupVisible' [minWidth]='ui.minWidthPopup' width='auto' maxWidth='90vw' (onShown)='ui.onPopupShown($event)'
    (onHidden)='ui.onPopupHidden($event)' height='auto' title='Arhivă'>
    <div *dxTemplate="let data of 'content'">
        <dx-scroll-view [height]='ui.scrollHeight' width="auto" direction="both">
            <app-edit-archive [archiveData]='archive'></app-edit-archive>
        </dx-scroll-view>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: onSaveArchive, validationGroup:'archiveValidation' }">
    </dxi-toolbar-item>
</dx-popup>